=== debian/changelog ===
farbfeld (3-4) unstable; urgency=medium

  * Build-depend on libjpeg-dev instead of libjpeg-turbo8-dev
  * Set the maint LDFLAGS to -Wl,--no-as-needed

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 22 Aug 2017 15:30:11 +0200

farbfeld (3-3) unstable; urgency=medium

  * Add missing references to debian/copyright
  * 2ff: fix the error message for missing `convert'
  * Install the FORMAT and README documentation files
  * Hardened build (hardening=+all)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 31 Jul 2017 14:49:34 +0200

farbfeld (3-2) unstable; urgency=medium

  * Try upload again after accidental reject

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 19 Jul 2017 23:42:37 +0200

farbfeld (3-1) unstable; urgency=low

  * Initial release (Closes: #851185)
    Debianisation mostly due to Dmitry Bogatov.

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 17 Jul 2017 08:36:22 +0200
