=== debian/watch ===
version=3
http://dl.suckless.org/farbfeld/farbfeld-(\d).tar.gz
