## farbfeld 4

=== Makefile ===
--- 
+++ 
@@ -11,19 +11,32 @@
 MAN1 = 2ff.1 $(BIN:=.1)
 MAN5 = farbfeld.5
 
-png2ff-LDFLAGS = $(PNG-LDFLAGS)
-ff2png-LDFLAGS = $(PNG-LDFLAGS)
-jpg2ff-LDFLAGS = $(JPG-LDFLAGS)
-ff2jpg-LDFLAGS = $(JPG-LDFLAGS)
-
 all: $(BIN)
 
-$(BIN): $(REQ:=.o)
+png2ff-LDLIBS = $(PNG-LDLIBS)
+ff2png-LDLIBS = $(PNG-LDLIBS)
+jpg2ff-LDLIBS = $(JPG-LDLIBS)
+ff2jpg-LDLIBS = $(JPG-LDLIBS)
 
-$(BIN:=.o): config.mk $(HDR) $(REQ:=.h)
+png2ff: png2ff.o $(REQ:=.o)
+ff2png: ff2png.o $(REQ:=.o)
+jpg2ff: jpg2ff.o $(REQ:=.o)
+ff2jpg: ff2jpg.o $(REQ:=.o)
+ff2pam: ff2pam.o $(REQ:=.o)
+ff2ppm: ff2ppm.o $(REQ:=.o)
+
+png2ff.o: png2ff.c config.mk $(HDR) $(REQ:=.h)
+ff2png.o: ff2png.c config.mk $(HDR) $(REQ:=.h)
+jpg2ff.o: jpg2ff.c config.mk $(HDR) $(REQ:=.h)
+ff2jpg.o: ff2jpg.c config.mk $(HDR) $(REQ:=.h)
+ff2pam.o: ff2pam.c config.mk $(HDR) $(REQ:=.h)
+ff2ppm.o: ff2ppm.c config.mk $(HDR) $(REQ:=.h)
 
 .o:
-	$(CC) $(LDFLAGS) $($*-LDFLAGS) -o $@ $< $(REQ:=.o)
+	$(CC) -o $@ $(LDFLAGS) $< $(REQ:=.o) $($*-LDLIBS)
+
+.c.o:
+	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<
 
 clean:
 	rm -f $(BIN) $(BIN:=.o) $(REQ:=.o)
