=== debian/changelog ===
farbfeld (4-2) unstable; urgency=medium

  * Change the package short description to match what upstream suggests
  * farbfeld 4 is entirely ISC licensed, d/copyright updated accordingly
  * Override PREFIX in d/rules instead of patching config.mk
  * Add an autopkgtest: roundtrip

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 07 May 2018 15:41:49 +0000

farbfeld (4-1) unstable; urgency=medium

  * New upstream release.
  * Package now maintained within the PhotoTools team
  * Bump Standards-Version to 4.1.4 (no changes needed)
  * d/control: use secure URI in the Homepage field

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 11 Apr 2018 14:50:20 +0000

farbfeld (3-5) unstable; urgency=medium

  * Packaging repository moved to salsa
  * The d/control Vcs- fields now point to the salsa repository
  * Use the standard Debian build flags when compiling
  * Bump Standards-Version to 4.1.3
    - Priority: extra replaced by Priority: optional
  * Bump compat level to 11, build-depend on debhelper >= 11~
  * Added upstream metadata file (d/upstream/metadata)
  * d/watch: use https URI and version=4 (no additional changes required)
  * d/changelog: use https URIs, update copyright years

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 24 Feb 2018 12:49:33 +0000
