=== debian/control ===
Source: farbfeld
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Paride Legovini <pl@ninthfloor.org>,
 Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>=11~), libjpeg-dev, libpng-dev
Standards-Version: 4.1.4
Homepage: https://tools.suckless.org/farbfeld
Vcs-Git: https://salsa.debian.org/debian-phototools-team/farbfeld.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/farbfeld

Package: farbfeld
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: imagemagick
Description: Lossless image format which is easy to parse, pipe and compress
 Farbfeld is a lossless image format designed to be parsed and piped
 easily. It is designed to be as simple as possible, leaving the task
 of compression to outside tools, beating PNG's filesize in many
 cases.
 .
 This package contains tools for converting between farbfeld format
 and other image formats (png, jpeg, ppm, pam, gif).
