=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # https://wiki.debian.org/HardeningWalkthrough
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Os -Wall -pedantic
+#export DEB_CFLAGS_MAINT_APPEND  = -Os -Wall -pedantic
 
 # --as-needed breaks the build of the package, so let's turn it off
 # explicitly. This is not needed in Debian, but the default may change.
@@ -12,3 +12,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr
