=== debian/tests/control ===
Tests: roundtrip
Depends: @, imagemagick
