=== debian/watch ===
version=4
https://dl.suckless.org/farbfeld/farbfeld-(\d).tar.gz
